Subject: Re: bug#32127: RFE -- in the way "cp -rl" -- enable 'ln' to do likewise?

From: Michael Stone <[email-masked]>
Date: Wed, 18 Jul 2018 10:18:19 -0400

On Wed, Jul 18, 2018 at 03:23:59AM -0700, L A Walsh wrote:
>	In the case of creating a link to a directory there is
>no choice in creating a "working solution".  If you want a link there, 
>it HAS to be a symlink.  That the user would bother to
>use the 'ln' (link) command in the first place is a sufficiently
>convincing "argument" that they really DID want a link there.
>That they didn't explicitly specify the type should additionally
>be taken that they didn't care enough to specify the type -- only
>that the link be created.

Or, they expect the traditional behavior, which is that requesting a
link which can't be created will result in failure. You seem to 
completely disregard the possibility that any script written in 40 years 
might use that behavior in its logic, while I find it extremely unlikely 
that scripts would be written in the hope that someday the behavior 
might change and things work differently because they make more sense 
that way.